﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace BlazorApp1.Shared
{
    public class OdqDisplayFieldModel
    {
        public enum TextAlign
        {
            [EnumMember(Value = "Left")]
            Left,
            [EnumMember(Value = "Right")]
            Right,
            [EnumMember(Value = "Center")]
            Center,
            [EnumMember(Value = "Justify")]
            Justify
        }

        public string DisplayName { get; set; }
        public string DataName { get; set; }
        public TextAlign Align { get; set; } = TextAlign.Left;
        public string Type { get; set; }
        public string Format { get; set; }
        public bool IsPrimaryKey { get; set; }
        public bool IsAutoFit { get; set; }
        public string Width { get; set; }
        public string Height { get; set; }
        public bool Visible { get; set; } = true;
    }
}
